import { BOOLEAN, IMedia, ISticker, ITag, IThumbnail } from '../enums/_common.enum';
import { COMMENT_STATUS } from '../enums/comment.enum';
import { CommonEntity } from './_common.entity';
export declare class CommentEntity extends CommonEntity {
    post_id: string;
    parent_id: string;
    user_id: string;
    media: IMedia;
    sticker: ISticker;
    message: string;
    tag: ITag;
    no_of_like: number;
    no_of_love: number;
    no_of_haha: number;
    no_of_angry: number;
    no_of_sad: number;
    no_of_wow: number;
    no_of_nothing: number;
    no_of_reply: number;
    thumbnail: IThumbnail;
    is_admin: BOOLEAN;
    is_owner: BOOLEAN;
    restaurant_id: string;
    status: COMMENT_STATUS;
}
