"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConversationBackgroundEntity = void 0;
const typeorm_1 = require("typeorm");
const conversation_enum_1 = require("../enums/conversation.enum");
const _common_entity_1 = require("./_common.entity");
let ConversationBackgroundEntity = class ConversationBackgroundEntity extends _common_entity_1.CommonEntity {
};
exports.ConversationBackgroundEntity = ConversationBackgroundEntity;
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
    }),
    __metadata("design:type", String)
], ConversationBackgroundEntity.prototype, "user_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'json',
    }),
    __metadata("design:type", Object)
], ConversationBackgroundEntity.prototype, "media", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: conversation_enum_1.CONVERSATION_BACKGROUND_STATUS.ACTIVE,
    }),
    __metadata("design:type", Number)
], ConversationBackgroundEntity.prototype, "status", void 0);
exports.ConversationBackgroundEntity = ConversationBackgroundEntity = __decorate([
    (0, typeorm_1.Entity)('conversation_background')
], ConversationBackgroundEntity);
//# sourceMappingURL=conversation-background.entity.js.map