"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.REACTION_COMMENT_NAME = exports.REACTION_COMMENT_TYPE = exports.COMMENT_STATUS = void 0;
var COMMENT_STATUS;
(function (COMMENT_STATUS) {
    COMMENT_STATUS[COMMENT_STATUS["ACTIVE"] = 0] = "ACTIVE";
    COMMENT_STATUS[COMMENT_STATUS["DELETED"] = 1] = "DELETED";
    COMMENT_STATUS[COMMENT_STATUS["REPORTED"] = 2] = "REPORTED";
})(COMMENT_STATUS || (exports.COMMENT_STATUS = COMMENT_STATUS = {}));
var REACTION_COMMENT_TYPE;
(function (REACTION_COMMENT_TYPE) {
    REACTION_COMMENT_TYPE[REACTION_COMMENT_TYPE["LIKE"] = 1] = "LIKE";
    REACTION_COMMENT_TYPE[REACTION_COMMENT_TYPE["LOVE"] = 2] = "LOVE";
    REACTION_COMMENT_TYPE[REACTION_COMMENT_TYPE["HAHA"] = 3] = "HAHA";
    REACTION_COMMENT_TYPE[REACTION_COMMENT_TYPE["WOW"] = 4] = "WOW";
    REACTION_COMMENT_TYPE[REACTION_COMMENT_TYPE["SAD"] = 5] = "SAD";
    REACTION_COMMENT_TYPE[REACTION_COMMENT_TYPE["ANGRY"] = 6] = "ANGRY";
})(REACTION_COMMENT_TYPE || (exports.REACTION_COMMENT_TYPE = REACTION_COMMENT_TYPE = {}));
exports.REACTION_COMMENT_NAME = {
    [REACTION_COMMENT_TYPE.LIKE]: 'no_of_like',
    [REACTION_COMMENT_TYPE.LOVE]: 'no_of_love',
    [REACTION_COMMENT_TYPE.HAHA]: 'no_of_haha',
    [REACTION_COMMENT_TYPE.WOW]: 'no_of_wow',
    [REACTION_COMMENT_TYPE.SAD]: 'no_of_sad',
    [REACTION_COMMENT_TYPE.ANGRY]: 'no_of_angry',
};
//# sourceMappingURL=comment.enum.js.map