"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CARD_TAG_TYPE = exports.POST_STATUS = exports.POST_TARGET_STATUS = exports.POST_VIEW = exports.POST_TYPES = exports.POST_AUTO_POST_TYPE = void 0;
var POST_AUTO_POST_TYPE;
(function (POST_AUTO_POST_TYPE) {
    POST_AUTO_POST_TYPE[POST_AUTO_POST_TYPE["NOT_AUTO"] = 0] = "NOT_AUTO";
    POST_AUTO_POST_TYPE[POST_AUTO_POST_TYPE["UPDATE_AVATAR"] = 1] = "UPDATE_AVATAR";
})(POST_AUTO_POST_TYPE || (exports.POST_AUTO_POST_TYPE = POST_AUTO_POST_TYPE = {}));
var POST_TYPES;
(function (POST_TYPES) {
    POST_TYPES[POST_TYPES["NEWSFEED"] = 0] = "NEWSFEED";
    POST_TYPES[POST_TYPES["USER"] = 1] = "USER";
    POST_TYPES[POST_TYPES["FANPAGE"] = 2] = "FANPAGE";
    POST_TYPES[POST_TYPES["GROUP"] = 3] = "GROUP";
})(POST_TYPES || (exports.POST_TYPES = POST_TYPES = {}));
var POST_VIEW;
(function (POST_VIEW) {
    POST_VIEW[POST_VIEW["PUBLIC"] = 0] = "PUBLIC";
    POST_VIEW[POST_VIEW["FRIEND"] = 1] = "FRIEND";
    POST_VIEW[POST_VIEW["PRIVATE"] = 2] = "PRIVATE";
    POST_VIEW[POST_VIEW["HIDDEN"] = 3] = "HIDDEN";
})(POST_VIEW || (exports.POST_VIEW = POST_VIEW = {}));
var POST_TARGET_STATUS;
(function (POST_TARGET_STATUS) {
    POST_TARGET_STATUS[POST_TARGET_STATUS["WAITING_CONFIRM"] = 0] = "WAITING_CONFIRM";
    POST_TARGET_STATUS[POST_TARGET_STATUS["CONFIRM"] = 1] = "CONFIRM";
    POST_TARGET_STATUS[POST_TARGET_STATUS["DENIED"] = 2] = "DENIED";
})(POST_TARGET_STATUS || (exports.POST_TARGET_STATUS = POST_TARGET_STATUS = {}));
var POST_STATUS;
(function (POST_STATUS) {
    POST_STATUS[POST_STATUS["ACTIVE"] = 0] = "ACTIVE";
    POST_STATUS[POST_STATUS["HIDE"] = 1] = "HIDE";
    POST_STATUS[POST_STATUS["DELETED"] = 2] = "DELETED";
    POST_STATUS[POST_STATUS["REPORTED"] = 3] = "REPORTED";
    POST_STATUS[POST_STATUS["DETECT_BLOCK"] = 4] = "DETECT_BLOCK";
})(POST_STATUS || (exports.POST_STATUS = POST_STATUS = {}));
var CARD_TAG_TYPE;
(function (CARD_TAG_TYPE) {
    CARD_TAG_TYPE[CARD_TAG_TYPE["LIFE_VALUE_ARTICLE"] = 0] = "LIFE_VALUE_ARTICLE";
    CARD_TAG_TYPE[CARD_TAG_TYPE["RESTAURANT_REVIEW_ARTICLE"] = 1] = "RESTAURANT_REVIEW_ARTICLE";
    CARD_TAG_TYPE[CARD_TAG_TYPE["BOTH_ARTICLES"] = 2] = "BOTH_ARTICLES";
})(CARD_TAG_TYPE || (exports.CARD_TAG_TYPE = CARD_TAG_TYPE = {}));
//# sourceMappingURL=post.enum.js.map