"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.REACTION_POST_NAME = exports.REACTION_POST_VALUE = exports.REACTION_POST_TYPE = void 0;
var REACTION_POST_TYPE;
(function (REACTION_POST_TYPE) {
    REACTION_POST_TYPE[REACTION_POST_TYPE["LOVE"] = 1] = "LOVE";
    REACTION_POST_TYPE[REACTION_POST_TYPE["WOW"] = 2] = "WOW";
    REACTION_POST_TYPE[REACTION_POST_TYPE["SAD"] = 3] = "SAD";
    REACTION_POST_TYPE[REACTION_POST_TYPE["VALUE"] = 4] = "VALUE";
    REACTION_POST_TYPE[REACTION_POST_TYPE["ANGRY"] = 5] = "ANGRY";
    REACTION_POST_TYPE[REACTION_POST_TYPE["NOTHING"] = 6] = "NOTHING";
})(REACTION_POST_TYPE || (exports.REACTION_POST_TYPE = REACTION_POST_TYPE = {}));
exports.REACTION_POST_VALUE = {
    [REACTION_POST_TYPE.LOVE]: 1,
    [REACTION_POST_TYPE.WOW]: 1,
    [REACTION_POST_TYPE.SAD]: 1,
    [REACTION_POST_TYPE.VALUE]: 2,
    [REACTION_POST_TYPE.ANGRY]: -2,
    [REACTION_POST_TYPE.NOTHING]: 0,
};
exports.REACTION_POST_NAME = {
    [REACTION_POST_TYPE.LOVE]: 'no_of_love',
    [REACTION_POST_TYPE.WOW]: 'no_of_wow',
    [REACTION_POST_TYPE.SAD]: 'no_of_sad',
    [REACTION_POST_TYPE.VALUE]: 'no_of_value',
    [REACTION_POST_TYPE.ANGRY]: 'no_of_angry',
    [REACTION_POST_TYPE.NOTHING]: 'no_of_nothing',
};
//# sourceMappingURL=reaction.enum.js.map