import { Column, Entity } from 'typeorm';
import { CONVERSATION_MEMBER_PERMISSION } from '../enums/conversation.enum';
import { CommonEntity } from './_common.entity';

@Entity('conversation_member')
export class ConversationMemberEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  conversation_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'smallint',
  })
  permission: CONVERSATION_MEMBER_PERMISSION;
}
