import { Column, Entity } from 'typeorm';
import { IMedia } from '../enums/_common.enum';
import { CommonEntity } from './_common.entity';

@Entity('conversation_user_background')
export class ConversationUserBackgroundEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  conversation_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'json',
  })
  background: IMedia;
}
