import { Column, Entity } from 'typeorm';
import { FRIEND_TYPE } from '../enums/friend.enum';
import { CommonEntity } from './_common.entity';

@Entity('friends')
export class FriendEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'bigint',
  })
  user_friend_id: string;

  @Column({
    type: 'smallint',
  })
  type: FRIEND_TYPE;
}
