import { Column, Entity } from 'typeorm';
import { SEARCH_HISTORY_OBJECT_TYPE } from '../enums/user.enum';
import { CommonEntity } from './_common.entity';

@Entity('search_history')
export class SearchHistoryEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'bigint',
    nullable: true,
  })
  object_id: string;

  @Column({
    type: 'smallint',
  })
  object_type: SEARCH_HISTORY_OBJECT_TYPE;

  @Column({
    type: 'varchar',
  })
  key_search: string;
}
