import { Column, Entity } from 'typeorm';
import { IMedia } from '../enums/_common.enum';
import { CommonEntity } from './_common.entity';

@Entity('sticker')
export class StickerEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  category_sticker_id: string;

  @Column({
    type: 'json',
  })
  media: IMedia;

  @Column({
    type: 'varchar',
    array: true,
  })
  tag: string[];
}
