import { Column, Entity } from 'typeorm';
import { USER_REPORT_TYPE } from '../enums/report.enum';
import { CommonEntity } from './_common.entity';

@Entity('user_report')
export class UserReportEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  report_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'smallint',
  })
  type_report: USER_REPORT_TYPE;

  @Column({
    type: 'varchar',
  })
  content_report: string;
}
