export enum BOOLEAN {
  FALSE = 0,
  TRUE = 1,
}

export interface IMedia {
  media_id: string;
  type: number;
  content: string;
  created_at: string;
  original: {
    url: string;
    name: string;
    size: number;
    width: number;
    height: number;
    link_full: string;
  };
  medium: {
    url: string;
    name: string;
    size: number;
    width: number;
    height: number;
  };
  thumb: {
    url: string;
    name: string;
    size: number;
    width: number;
    height: number;
  };
}

export interface IThumbnail {
  title: string;
  description: string;
  domain: string;
  logo: string;
  url: string;
  object_id: string;
  is_system: number;
  type_system: number;
  is_thumb: number;
}

export interface ISticker {
  category_sticker_id: string;
  sticker_id: string;
  is_download: number;
  original: {
    url: string;
    link_full: string;
    name: string;
    size: number;
    width: number;
    height: number;
  };
  medium: {
    url: string;
    name: string;
    size: number;
    width: number;
    height: number;
  };
  thumb: {
    url: string;
    name: string;
    size: number;
    width: number;
    height: number;
  };
}

export interface ITag {
  key: string;
  user: {
    user_id: number;
    full_name: string;
    avatar: string;
  };
}
