import { BOOLEAN, IMedia } from '../enums/_common.enum';
import { CONVERSATION_STATUS, CONVERSATION_TYPE } from '../enums/conversation.enum';
import { CommonEntity } from './_common.entity';
export declare class ConversationEntity extends CommonEntity {
    name: string;
    avatar: IMedia;
    type: CONVERSATION_TYPE;
    members: string[];
    background: IMedia;
    no_of_member: number;
    no_of_pinned: number;
    no_of_image: number;
    no_of_video: number;
    no_of_file: number;
    no_of_link: number;
    no_of_audio: number;
    link_join: string;
    is_update_profile: BOOLEAN;
    is_user_remove: number;
    is_create_reminder: BOOLEAN;
    is_create_vote: BOOLEAN;
    is_confirm_new_member: BOOLEAN;
    is_highlight_message_admin: BOOLEAN;
    is_view_old_message_with_new_member: BOOLEAN;
    is_join_with_link: BOOLEAN;
    is_send_message: BOOLEAN;
    last_message_id: string;
    last_activity: number;
    status: CONVERSATION_STATUS;
}
