import { BOOLEAN, ISticker, ITag, IThumbnail } from '../enums/_common.enum';
import { MESSAGE_STATUS, MESSAGE_TYPE } from '../enums/message.enum';
import { CommonEntity } from './_common.entity';
export declare class MessageEntity extends CommonEntity {
    conversation_id: string;
    user_id: string;
    user_target: string[];
    message: string;
    media: string;
    thumb: IThumbnail;
    sticker: ISticker;
    tag: ITag;
    no_of_reaction: number;
    is_pinned: BOOLEAN;
    is_share: BOOLEAN;
    is_timeline: BOOLEAN;
    message_reply_id: string;
    no_of_like: number;
    no_of_love: number;
    no_of_wow: number;
    no_of_sad: number;
    no_of_haha: number;
    no_of_angry: number;
    link_join_group: string;
    message_vote_id: string;
    type: MESSAGE_TYPE;
    status: MESSAGE_STATUS;
}
