import { BOOLEAN, IMedia, ITag, IThumbnail } from '../enums/_common.enum';
import { POST_AUTO_POST_TYPE, POST_STATUS, POST_TARGET_STATUS, POST_TYPES, POST_VIEW } from '../enums/post.enum';
import { CommonEntity } from './_common.entity';
export declare class PostEntity extends CommonEntity {
    user_id: string;
    is_review: BOOLEAN;
    auto_post_type: POST_AUTO_POST_TYPE;
    branch_id: string;
    brand_id: string;
    restaurant_id: string;
    post_type: POST_TYPES;
    target_id: number;
    title: string;
    content: string;
    medias: IMedia;
    thumbnail: IThumbnail;
    average_rating: number;
    food_rating: number;
    price_rating: number;
    spatial_rating: number;
    hygiene_rating: number;
    service_rating: number;
    tag: ITag;
    no_of_comment: number;
    no_of_love: number;
    no_of_wow: number;
    no_of_sad: number;
    no_of_angry: number;
    no_of_value: number;
    no_of_nothing: number;
    value: number;
    action_level: number;
    no_of_share: number;
    is_share: BOOLEAN;
    post_share_id: string;
    view: POST_VIEW;
    is_detect: BOOLEAN;
    target_status: POST_TARGET_STATUS;
    card_tag: string[];
    status: POST_STATUS;
}
