import { BOOLEAN } from '../enums/_common.enum';
import { USER_STATUS } from '../enums/user.enum';
import { CommonEntity } from './_common.entity';
export declare class UserEntity extends CommonEntity {
    avatar: string;
    full_name: string;
    nick_name: string;
    identification: number;
    address: string;
    lat: number;
    lng: number;
    city_id: string;
    district_id: string;
    ward_id: string;
    country_id: number;
    no_of_alo_point: number;
    no_of_follow: number;
    view: number;
    cover: string;
    phone: string;
    gender: number;
    birthday: string;
    first_name: string;
    last_name: string;
    no_of_friend: number;
    description: string;
    website: string;
    email: string;
    user_interests: number[];
    is_notify: BOOLEAN;
    is_dark_mode: BOOLEAN;
    view_about: BOOLEAN;
    view_life_event: BOOLEAN;
    view_friend: BOOLEAN;
    view_media: BOOLEAN;
    is_request_friend: BOOLEAN;
    is_display_name: BOOLEAN;
    is_enable_gender: BOOLEAN;
    is_enable_birthday: BOOLEAN;
    is_enable_phone: BOOLEAN;
    is_enable_email: BOOLEAN;
    is_enable_address: BOOLEAN;
    is_enable_city: BOOLEAN;
    is_enable_district: BOOLEAN;
    is_enable_ward: BOOLEAN;
    time_seen_notify: Date;
    last_connect: Date;
    restaurant_id: string;
    status: USER_STATUS;
}
