import { Column, Entity } from 'typeorm';
import { BOOLEAN } from '../enums/_common.enum';
import { CARD_TAG_TYPE } from '../enums/post.enum';
import { CommonEntity } from './_common.entity';

@Entity('card_tag')
export class CardTagEntity extends CommonEntity {
  @Column({
    type: 'varchar',
  })
  name: string;

  @Column({
    type: 'varchar',
  })
  color_hex_code: string;

  @Column({
    type: 'smallint',
  })
  type: CARD_TAG_TYPE;

  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  is_deleted: BOOLEAN;
}
