import { Column, Entity } from 'typeorm';
import { IMedia } from '../enums/_common.enum';
import { CONVERSATION_BACKGROUND_STATUS } from '../enums/conversation.enum';
import { CommonEntity } from './_common.entity';

@Entity('conversation_background')
export class ConversationBackgroundEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'json',
  })
  media: IMedia;

  @Column({
    type: 'smallint',
    default: CONVERSATION_BACKGROUND_STATUS.ACTIVE,
  })
  status: CONVERSATION_BACKGROUND_STATUS;
}
