import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('conversation_user_disable_notify')
export class ConversationUserDisableNotifyEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  conversation_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'smallint',
  })
  type: number; // chưa triển khai

  @Column({
    type: 'timestamp',
    nullable: true,
  })
  time: Date; // chưa triển khai
}
