import { Column, Entity } from 'typeorm';
import { MESSAGE_PINNED_STATUS } from '../enums/message.enum';
import { CommonEntity } from './_common.entity';

@Entity('message_pinned')
export class MessagePinnedEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  message_id: string;

  @Column({
    type: 'bigint',
  })
  conversation_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'smallint',
    default: MESSAGE_PINNED_STATUS.PINNED,
  })
  status: MESSAGE_PINNED_STATUS;
}
