import { Column, Entity } from 'typeorm';
import { MESSAGE_REACTION_TYPE } from '../enums/message.enum';
import { CommonEntity } from './_common.entity';

@Entity('message_reaction')
export class MessageReactionEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  message_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'smallint',
  })
  type: MESSAGE_REACTION_TYPE;
}
