import { Column, Entity } from 'typeorm';
import { REACTION_COMMENT_TYPE } from '../enums/comment.enum';
import { CommonEntity } from './_common.entity';

@Entity('reaction_comment')
export class ReactionCommentEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'bigint',
  })
  comment_id: string;

  @Column({
    type: 'smallint',
  })
  reaction_type: REACTION_COMMENT_TYPE;
}
